Subject: Re: [RFC] Convert builin-mailinfo.c to use The Better String Library.

From: Walter Bright <[email-masked]>
Date: Fri, 07 Sep 2007 13:49:23 -0700

David Kastrup wrote:
> In my opinion there is basically one area which C has botched up
> seriously in order to be useful as a general purpose language, and
> that is conflating pointers and arrays, and allowing pointer
> arithmetic.  The consequences are absolutely awful with regard to
> compilers being able to optimize, and it is pretty much the primary
> reason that Fortran is still quite in use for numerical work.

I agree. It's one of those things that probably sounded like a good idea 
at the time. The consequences were not foreseen. All languages have a 
few of these (C++ has the infamous use of < > for template arguments).